OrcOutputFormat (ORC MapReduce 1.6.6 API)
Date: 2021-01-13

org.apache.orc.mapred

## Class OrcOutputFormat<V extends Writable>

- java.lang.Object
- - org.apache.hadoop.mapred.FileOutputFormat<NullWritable,V>
  - - org.apache.orc.mapred.OrcOutputFormat<V>

- All Implemented Interfaces:
    OutputFormat<NullWritable,V>

      public class OrcOutputFormat<V extends Writable>
      extends FileOutputFormat<NullWritable,V>

  An ORC output format that satisfies the org.apache.hadoop.mapred API.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileOutputFormat

      `FileOutputFormat.Counter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrcOutputFormat()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OrcFile.WriterOptions` | `buildOptions(Configuration conf)` This function builds the options for the ORC Writer based on the JobConf.
    `RecordWriter<NullWritable,V>` | `getRecordWriter(FileSystem fileSystem, JobConf conf, String name, Progressable progressable)`

    - ### Methods inherited from class org.apache.hadoop.mapred.FileOutputFormat

      `checkOutputSpecs, getCompressOutput, getOutputCompressorClass, getOutputPath, getPathForCustomFile, getTaskOutputPath, getUniqueName, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputPath, setWorkOutputPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrcOutputFormat

          public OrcOutputFormat()

  - ### Method Detail

    - #### buildOptions

          public static OrcFile.WriterOptions buildOptions(Configuration conf)

      This function builds the options for the ORC Writer based on the JobConf.
      Parameters:
        `conf` - the job configuration
      Returns:
        a new options object

    - #### getRecordWriter

          public RecordWriter<NullWritable,V> getRecordWriter(FileSystem fileSystem,
                                                              JobConf conf,
                                                              String name,
                                                              Progressable progressable)
                                                       throws IOException

      Specified by:
        `getRecordWriter` in interface `OutputFormat<NullWritable,V extends Writable>`
      Specified by:
        `getRecordWriter` in class `FileOutputFormat<NullWritable,V extends Writable>`
      Throws:
        `IOException`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.